<div class="mainwrapper">
  <div class="leftwrapper">
    <div class="topwrapper">
      <h1>Welcome !</h1>
      <p class="whitetext">Please select a patient to access his file</p>
    </div>
    <div class="bottomwrapper">
      <p class="whitesubtext">Patient not founded ?</p>
      <p-button
        label="Add one"
        styleClass="p-button-outlined"
        [routerLink]="'/home/addpatient'"
      ></p-button>
    </div>
  </div>
  <div class="rightwrapper">
    <div class="searchbar">
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-search"></i></span>
        <input type="text" pInputText placeholder="Search" #search />
      </div>
      <p-button
        class="searchbtn"
        label="Go for it !"
        (click)="searchPatient(search.value)"
      ></p-button>
    </div>
    <div class="content">
      <div
        *ngIf="this.patients != undefined && this.patients?.length <= 0"
        class="noUser"
      >
        No patient found with that name
      </div>
      <div *ngFor="let patient of this.patients">
        <app-patient-card
          [patient]="patient"
          (click)="navigatePatient(patient.id)"
        ></app-patient-card>
      </div>
    </div>
  </div>
</div>
